GET /contacts/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contacts/:id

Get details about a contact.

Returns details for a single contact, including whether it is blocked or opted out. Look it up either by Trackdrive's internal contact id or by passing the full 10+ digit phone number as the id. Requires read permission on Contacts.

Params

Param name Description
id
Optional

Lookup a contact by internal id, or by the 10+ digit telephone number. For example:

To find a number using trackdrive’s internal id pass id=185923

To find a number using the phone number pass id=18005002562

  • Must be a String

blocked
Optional

Block or unblock a contact. Block prevents outbound actions (calls, sms, emails), and also blocks all inbound calls & sms.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off